package cn.edu.whu.boot.xml.domain;

/**
 * 存储 redis key 前缀
 */
public enum RedisKeyType{

    TASK("redis_key_prefix_task:"),
    XML_FILE_DATA("redis_key_prefix_xml_file_data:"),
    CELL("redis_key_prefix_cell:"),
    EMAIL_AUTH_CODE("redis_key_prefix_email_auth_code:"),
    REAL_NAME("redis_key_prefix_real_name:");

    private String redisKeyPrefix;

    RedisKeyType(String redisKeyPrefix){
        this.redisKeyPrefix = redisKeyPrefix;
    }

    public String getRedisKeyPrefix(){
        return redisKeyPrefix;
    }

    public void setRedisKeyPrefix(String redisKeyPrefix){
        this.redisKeyPrefix = redisKeyPrefix;
    }

    @Override
    public String toString(){
        return getRedisKeyPrefix();
    }
}
